<?
	$contact_options = array('whatsapp'=> 1, 'sms'=>2, 'phone call'=>3, 'viber'=>4 ); 
	$preferred_contact_method = '';
	foreach ($contact_options as $key => $value) {
	
		if($value == $this->data_to_show_client['contact_option']){
			$preferred_contact_method = $key;
			break;
		}
	}


?>

<div id="vc-success">
	
	<? if($this->end_page): ?>
		<div class='bottom-box'>
			<div class="title">
				<?= __('video_chat_last_success_title') ?>
			</div>
			
			<div class="center">
				<p class='info'>
					<?= __('her_id') ?>: <strong><?= $this->escort['escort_skype_username'] ?></strong>
				</p>
			
				<a href='/' class='green-btn back-btn'><?= __('back_to_home_page') ?></a>
			</div>	
		</div>
	<? else: ?>
		<!-- <form id="vc-success-form"  method="post" action='<?= $this->getLink('video-chat-success') ?>'> -->
		<div class='top-box'>

			<div class="title">
				<?= __('payment_was_successful') ?> 
			</div>

		<!-- 	<p class='info'>
				<?= __('video_chat_success_info', array('showname' => $this->escort['showname'])); ?>
			</p> -->
			<p class='info'><?= __('cam_booked', array('showname' => $this->escort['showname'], 'time' => $this->data_to_show_client['duration'], 'method' => $preferred_contact_method, 'phone_number'=> $this->data_to_show_client['contact_phone_parsed'])); ?></p><br>
			<p class='info'><?= __('cam_booked_2'); ?></p>


			<a href="<?= ($this->data_to_show_client['cam_channel_url'] ? $this->getLink('ef-cams').$this->data_to_show_client['cam_channel_url'] : $this->getLink('ef-cams-broadcaster', array('showname'=> $this->escort['showname'], 'escort_id' => $this->escort_id)) ) ?>">
				<button id='submit-button' type='submit' class="green-btn"><?= __('go_to_her_cam'); ?></button>
			</a>
			<a href="<?= $this->getLink('profile', array('showname'=> $this->escort['showname'], 'escort_id' => $this->escort_id )) ?>">
				<button id='submit-button' type='submit' class="green-btn"><?= __('cam_visit_profile'); ?></button>
			</a>

		</div>
		<!-- <div class='bottom-box'>	
			<p class='info'><?= __('video_chat_success_info1', array('showname' => $this->escort['showname'], 'escort_skype_id' => $this->escort['escort_skype_username'] )); ?></p>

			<div class="button-bar">
				<div class="big-inputs">
					<input id='vc-name' type="text"  name="name" value="" class="fields" required="">
					<span class="floating-label"> <?= __('your_name') ?> </span>
				</div>

				<div class="big-inputs">
					<input id='vc-skype' type="text"  name="skype" value="" class="fields" required="">
					<span class="floating-label"> <?= __('your_skype_id') ?> </span>
				</div>
				
				<div class="big-inputs">
					<input id='vc-email' type="text"  name="email" value="" class="fields" required="">
					<span class="floating-label"> <?= __('your_email') ?> </span>
				</div>
				<input type='hidden' name='escort_id' value='<?= $this->escort_id ?>'/>
				<input type='hidden' name='request_id' value='<?= $this->request_id ?>'/>
				<div class="center">
					<button id='submit-button' type='submit' class="green-btn"><?= __('confirm_skype_call'); ?></button>
				</div>	
				<div class="clear"></div>
			</div 
		</div>	-->

		<!-- </form> -->
	<? endif; ?>
</div>

<script type="text/javascript">
		/*var unLoadOn = true;
		
		window.addEventListener('beforeunload', function (e) {
			if(unLoadOn){ console.log('unload');
				e.returnValue = 'Your payment Will be lost';
			}
		});*/
		
		// window.addEvent('domready', function(){
		// 	if($('vc-success-form')){
				
		// 		$('submit-button').addEvent('click', function(e) { 
		// 			e.stop();
		// 			e.preventDefault();
		// 			$$('#vc-skype, #vc-name').removeClass('req');
		// 			//unLoadOn = false;
		// 			var is_valid = true;
		// 			if (!$('vc-name').checkValidity()) {
		// 				$('vc-name').addClass('req');
		// 				is_valid = false;
		// 			}

		// 			if (!$('vc-skype').checkValidity()) {
		// 				$('vc-skype').addClass('req');
		// 				is_valid = false;
		// 			}
					
		// 			if (!$('vc-email').checkValidity()) {
		// 				$('vc-email').addClass('req');
		// 				is_valid = false;
		// 			}
					
		// 			if(is_valid){
		// 				$('vc-success-form').submit();
		// 			}
		// 		});
		// 	}
		// });
		
</script> 